gtksourceviewmm: Gsv::CompletionWords Class Reference

gtksourceviewmm 3.91.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gsv::CompletionWords Class Reference

Words completion provider. More...

`#include <gtksourceviewmm/completionwords.h>`

Inheritance diagram for Gsv::CompletionWords:
[legend]

## Public Member Functions
| CompletionWords (CompletionWords&& src) noexcept
CompletionWords& | operator= (CompletionWords&& src) noexcept
| ~CompletionWords () noexcept override
GtkSourceCompletionWords* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceCompletionWords* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceCompletionWords* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | register_provider (const Glib::RefPtr< Gtk::TextBuffer >& buffer)
| Registers this provider in given buffer.
void | unregister_provider (const Glib::RefPtr< Gtk::TextBuffer >& buffer)
| Unregisters this provider from given buffer.
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The provider name.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The provider name.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_icon ()
| The provider icon.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_icon () const
| The provider icon.
Glib::PropertyProxy< guint > | property_proposals_batch_size ()
| Number of proposals added in one batch.
Glib::PropertyProxy_ReadOnly< guint > | property_proposals_batch_size () const
| Number of proposals added in one batch.
Glib::PropertyProxy< guint > | property_scan_batch_size ()
| Number of lines scanned in one batch.
Glib::PropertyProxy_ReadOnly< guint > | property_scan_batch_size () const
| Number of lines scanned in one batch.
Glib::PropertyProxy< guint > | property_minimum_word_size ()
| The minimum word size to complete.
Glib::PropertyProxy_ReadOnly< guint > | property_minimum_word_size () const
| The minimum word size to complete.
Glib::PropertyProxy< int > | property_interactive_delay ()
| The delay before initiating interactive completion.
Glib::PropertyProxy_ReadOnly< int > | property_interactive_delay () const
| The delay before initiating interactive completion.
Glib::PropertyProxy< int > | property_priority ()
| Provider priority.
Glib::PropertyProxy_ReadOnly< int > | property_priority () const
| Provider priority.
Glib::PropertyProxy< CompletionActivation > | property_activation ()
| The type of activation.
Glib::PropertyProxy_ReadOnly< CompletionActivation > | property_activation () const
| The type of activation.
Public Member Functions inherited from Gsv::CompletionProvider
| CompletionProvider (CompletionProvider&& src) noexcept
CompletionProvider& | operator= (CompletionProvider&& src) noexcept
| ~CompletionProvider () noexcept override
GtkSourceCompletionProvider* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceCompletionProvider* | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_name () const
| Get the name of the provider.
Glib::RefPtr< Gdk::Pixbuf > | get_icon ()
| Get the icon of the provider.
Glib::RefPtr< const Gdk::Pixbuf > | get_icon () const
| Get the icon of the provider.
void | populate (const Glib::RefPtr< CompletionContext >& context)
| Populate context with proposals from a provider.
bool | match (const Glib::RefPtr< const CompletionContext >& context) const
| Get whether the provider match the context of completion detailed in context.
Gtk::Widget* | get_info_widget (const Glib::RefPtr< const CompletionProposal >& proposal)
| Get a customized info widget to show extra information of a proposal.
const Gtk::Widget* | get_info_widget (const Glib::RefPtr< const CompletionProposal >& proposal) const
| Get a customized info widget to show extra information of a proposal.
void | update_info (const Glib::RefPtr< const CompletionProposal >& proposal, const CompletionInfo& info)
| Update extra information shown in info for proposal.
bool | get_start_iter (const Glib::RefPtr< const CompletionContext >& context, const Glib::RefPtr< const CompletionProposal >& proposal, Gtk::TextIter& iter)
| Get the Gtk::TextIter at which the completion for proposal starts.
bool | activate_proposal (const Glib::RefPtr< CompletionProposal >& proposal, const Gtk::TextIter& iter)
| Activate proposal at iter.
CompletionActivation | get_activation () const
| Get with what kind of activation the provider should be activated.
int | get_interactive_delay () const
| Get the delay in milliseconds before starting interactive completion for this provider.
int | get_priority () const
| Get the provider priority.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< CompletionWords > | create (const Glib::ustring& name, const Glib::RefPtr< Gdk::Pixbuf >& icon)
| Creates words provider with given name and icon.
Static Public Member Functions inherited from Gsv::CompletionProvider
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| CompletionWords (const Glib::ustring& name, const Glib::RefPtr< Gdk::Pixbuf >& icon)
Protected Member Functions inherited from Gsv::CompletionProvider
| CompletionProvider ()
| You should derive from this class to use it.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gsv::CompletionWords > | wrap (GtkSourceCompletionWords* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gsv::CompletionProvider
Glib::RefPtr< Gsv::CompletionProvider > | wrap (GtkSourceCompletionProvider* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Words completion provider.

Since gtksourceviewmm 2.10

## Constructor & Destructor Documentation

## ◆ CompletionWords() [1/2]

Gsv::CompletionWords::CompletionWords | ( | CompletionWords&& | src | ) |
| noexcept

## ◆ ~CompletionWords()

Gsv::CompletionWords::~CompletionWords | ( |  | ) |
| overridenoexcept

## ◆ CompletionWords() [2/2]

Gsv::CompletionWords::CompletionWords | ( | const Glib::ustring & | name,
|  | const Glib::RefPtr< Gdk::Pixbuf > & | icon )
| explicitprotected

## Member Function Documentation

## ◆ create()

static Glib::RefPtr< CompletionWords > Gsv::CompletionWords::create | ( | const Glib::ustring & | name,
|  | const Glib::RefPtr< Gdk::Pixbuf > & | icon )
| static

Creates words provider with given name and icon.

Parameters

  name | Provider's name
  icon | Provider's icon

Returns
  A new CompletionWords.

Since gtksourceviewmm 2.10

## ◆ get_type()

static GType Gsv::CompletionWords::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkSourceCompletionWords * Gsv::CompletionWords::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkSourceCompletionWords * Gsv::CompletionWords::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkSourceCompletionWords * Gsv::CompletionWords::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

CompletionWords& Gsv::CompletionWords::operator= | ( | CompletionWords&& | src | ) |
| noexcept

## ◆ property_activation() [1/2]

Glib::PropertyProxy< CompletionActivation > Gsv::CompletionWords::property_activation | ( |  | ) |

The type of activation.

Default value: Gtk::SOURCE_COMPLETION_ACTIVATION_INTERACTIVE | Gtk::SOURCE_COMPLETION_ACTIVATION_USER_REQUESTED

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_activation() [2/2]

Glib::PropertyProxy_ReadOnly< CompletionActivation > Gsv::CompletionWords::property_activation | ( |  | ) | const

The type of activation.

Default value: Gtk::SOURCE_COMPLETION_ACTIVATION_INTERACTIVE | Gtk::SOURCE_COMPLETION_ACTIVATION_USER_REQUESTED

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_icon() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > Gsv::CompletionWords::property_icon | ( |  | ) |

The provider icon.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_icon() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > Gsv::CompletionWords::property_icon | ( |  | ) | const

The provider icon.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_interactive_delay() [1/2]

Glib::PropertyProxy< int > Gsv::CompletionWords::property_interactive_delay | ( |  | ) |

The delay before initiating interactive completion.

Default value: 50

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_interactive_delay() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gsv::CompletionWords::property_interactive_delay | ( |  | ) | const

The delay before initiating interactive completion.

Default value: 50

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_minimum_word_size() [1/2]

Glib::PropertyProxy< guint > Gsv::CompletionWords::property_minimum_word_size | ( |  | ) |

The minimum word size to complete.

Default value: 2

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_minimum_word_size() [2/2]

Glib::PropertyProxy_ReadOnly< guint > Gsv::CompletionWords::property_minimum_word_size | ( |  | ) | const

The minimum word size to complete.

Default value: 2

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gsv::CompletionWords::property_name | ( |  | ) |

The provider name.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::CompletionWords::property_name | ( |  | ) | const

The provider name.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_priority() [1/2]

Glib::PropertyProxy< int > Gsv::CompletionWords::property_priority | ( |  | ) |

Provider priority.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_priority() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gsv::CompletionWords::property_priority | ( |  | ) | const

Provider priority.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_proposals_batch_size() [1/2]

Glib::PropertyProxy< guint > Gsv::CompletionWords::property_proposals_batch_size | ( |  | ) |

Number of proposals added in one batch.

Default value: 300

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_proposals_batch_size() [2/2]

Glib::PropertyProxy_ReadOnly< guint > Gsv::CompletionWords::property_proposals_batch_size | ( |  | ) | const

Number of proposals added in one batch.

Default value: 300

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_scan_batch_size() [1/2]

Glib::PropertyProxy< guint > Gsv::CompletionWords::property_scan_batch_size | ( |  | ) |

Number of lines scanned in one batch.

Default value: 50

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_scan_batch_size() [2/2]

Glib::PropertyProxy_ReadOnly< guint > Gsv::CompletionWords::property_scan_batch_size | ( |  | ) | const

Number of lines scanned in one batch.

Default value: 50

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ register_provider()

void Gsv::CompletionWords::register_provider | ( | const Glib::RefPtr< Gtk::TextBuffer > & | buffer | ) |

Registers this provider in given buffer.

Parameters

  buffer | A buffer which will use this provider.

Since gtksourceviewmm 2.10

## ◆ unregister_provider()

void Gsv::CompletionWords::unregister_provider | ( | const Glib::RefPtr< Gtk::TextBuffer > & | buffer | ) |

Unregisters this provider from given buffer.

Parameters

  buffer | A buffer which will not use this provider anymore.

Since gtksourceviewmm 2.10

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gsv::CompletionWords > wrap | ( | GtkSourceCompletionWords * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.